/*
 * Copyright 2009-2010 the Stormcat Project.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.stormcat.jvbeans.jvlink.definitions.dto;

 /**
 * レコードフォーマットID {@link BR} に対応するDtoです。
 * @author jv-beans-gen
 * @since 0.1
 *
 */
@org.stormcat.jvbeans.annotation.JvBean(recordTypeId = "BR", byteLength = 537)
public class BreederMasterDto extends org.stormcat.jvbeans.jvlink.JvBindingDto {

    /**
     * {@code BR}に対応したデータ区分を表現するEnumです。
     * @author jv-beans-gen
     * @since 0.3
     *
     */
    public enum BreederMasterDataDiv implements org.stormcat.jvbeans.config.DataDiv {

        _1("新規登録", "1"),

        _2("更新", "2"),

        _0("該当レコード削除(提供ミスなどの理由による)", "0"),

        ;

        /** 名称 */
        private String name;

        /** 値 */
        private String value;

        /**
         * コンストラクタ
         * @param name 名称
         * @param value 値
         */
        private BreederMasterDataDiv(String name, String value) {
            this.name = name;
            this.value = value;
        }

        /**
         * {@inheritDoc}
         */
        public String getName() {
            return name;
        }

        /**
         * {@inheritDoc}
         */
        public String getValue() {
            return value;
        }

    }

    /** レコード種別ID */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 1, byteLength = 2)
    private org.stormcat.jvbeans.config.RecordTypeId recordTypeId;

    /** データ区分 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 3, byteLength = 1)
    private java.lang.String dataDiv;

    /** データ作成年月日 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 4, byteLength = 8)
    private java.util.Date dataCreateDate;

    /** 生産者コード */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 12, byteLength = 6)
    private java.lang.String breederCd;

    /** 生産者名(法人格有) */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 18, byteLength = 70)
    private java.lang.String breederNameWithCorp;

    /** 生産者名(法人格無) */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 88, byteLength = 70)
    private java.lang.String breederNameWithoutCorp;

    /** 生産者名半角ｶﾅ */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 158, byteLength = 70)
    private java.lang.String breederNameHalfKana;

    /** 生産者名欧字 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 228, byteLength = 168)
    private java.lang.String breederNameEng;

    /** 生産者住所自治省名 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 396, byteLength = 20)
    private java.lang.String breederHomeAffairName;

    /** 本年･累計成績情報 */
    @org.stormcat.jvbeans.annotation.JvProperty(position = 416, byteLength = 60, repeatCount = 2)
    private java.util.List<org.stormcat.jvbeans.jvlink.definitions.dto.child.TotalResultInfoSimpleDto> totalResultInfoItems;


    /**
     * レコード種別IDを返します。
     * @return レコード種別ID
     */
    public org.stormcat.jvbeans.config.RecordTypeId getRecordTypeId() {
        return recordTypeId;
    }

    /**
     * レコード種別IDを設定します。
     * @param recordTypeId レコード種別ID
     */
    public void setRecordTypeId(org.stormcat.jvbeans.config.RecordTypeId recordTypeId) {
        this.recordTypeId = recordTypeId;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public org.stormcat.jvbeans.config.DataDiv getDataDiv() {
        return BreederMasterDataDiv.valueOf(java.lang.String.format("_%s", dataDiv));
    }

    /**
     * データ区分を設定します。
     * @param データ区分
     */
    public void setDataDiv(java.lang.String dataDiv) {
        this.dataDiv = dataDiv;
    }

    /**
     * データ作成年月日を返します。
     * @return データ作成年月日
     */
    public java.util.Date getDataCreateDate() {
        return dataCreateDate;
    }

    /**
     * データ作成年月日を設定します。
     * @param dataCreateDate データ作成年月日
     */
    public void setDataCreateDate(java.util.Date dataCreateDate) {
        this.dataCreateDate = dataCreateDate;
    }

    /**
     * 生産者コードを返します。
     * @return 生産者コード
     */
    public java.lang.String getBreederCd() {
        return breederCd;
    }

    /**
     * 生産者コードを設定します。
     * @param breederCd 生産者コード
     */
    public void setBreederCd(java.lang.String breederCd) {
        this.breederCd = breederCd;
    }

    /**
     * 生産者名(法人格有)を返します。
     * @return 生産者名(法人格有)
     */
    public java.lang.String getBreederNameWithCorp() {
        return breederNameWithCorp;
    }

    /**
     * 生産者名(法人格有)を設定します。
     * @param breederNameWithCorp 生産者名(法人格有)
     */
    public void setBreederNameWithCorp(java.lang.String breederNameWithCorp) {
        this.breederNameWithCorp = breederNameWithCorp;
    }

    /**
     * 生産者名(法人格無)を返します。
     * @return 生産者名(法人格無)
     */
    public java.lang.String getBreederNameWithoutCorp() {
        return breederNameWithoutCorp;
    }

    /**
     * 生産者名(法人格無)を設定します。
     * @param breederNameWithoutCorp 生産者名(法人格無)
     */
    public void setBreederNameWithoutCorp(java.lang.String breederNameWithoutCorp) {
        this.breederNameWithoutCorp = breederNameWithoutCorp;
    }

    /**
     * 生産者名半角ｶﾅを返します。
     * @return 生産者名半角ｶﾅ
     */
    public java.lang.String getBreederNameHalfKana() {
        return breederNameHalfKana;
    }

    /**
     * 生産者名半角ｶﾅを設定します。
     * @param breederNameHalfKana 生産者名半角ｶﾅ
     */
    public void setBreederNameHalfKana(java.lang.String breederNameHalfKana) {
        this.breederNameHalfKana = breederNameHalfKana;
    }

    /**
     * 生産者名欧字を返します。
     * @return 生産者名欧字
     */
    public java.lang.String getBreederNameEng() {
        return breederNameEng;
    }

    /**
     * 生産者名欧字を設定します。
     * @param breederNameEng 生産者名欧字
     */
    public void setBreederNameEng(java.lang.String breederNameEng) {
        this.breederNameEng = breederNameEng;
    }

    /**
     * 生産者住所自治省名を返します。
     * @return 生産者住所自治省名
     */
    public java.lang.String getBreederHomeAffairName() {
        return breederHomeAffairName;
    }

    /**
     * 生産者住所自治省名を設定します。
     * @param breederHomeAffairName 生産者住所自治省名
     */
    public void setBreederHomeAffairName(java.lang.String breederHomeAffairName) {
        this.breederHomeAffairName = breederHomeAffairName;
    }

    /**
     * 本年･累計成績情報を返します。
     * @return 本年･累計成績情報
     */
    public java.util.List<org.stormcat.jvbeans.jvlink.definitions.dto.child.TotalResultInfoSimpleDto> getTotalResultInfoItems() {
        return totalResultInfoItems;
    }

    /**
     * 本年･累計成績情報を設定します。
     * @param totalResultInfoItems 本年･累計成績情報
     */
    public void setTotalResultInfoItems(java.util.List<org.stormcat.jvbeans.jvlink.definitions.dto.child.TotalResultInfoSimpleDto> totalResultInfoItems) {
        this.totalResultInfoItems = totalResultInfoItems;
    }

}